Bug 2017604 - rust-git-delta-0.13.0 is available
Summary: rust-git-delta-0.13.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-git-delta
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1989985 1993374 2008325 2011594 2014317 2038592 2081584
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-27 00:42 UTC by Upstream Release Monitoring
Modified: 2022-07-23 20:30 UTC (History)
9 users (show)

Fixed In Version: rust-git-delta-0.13.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-23 20:30:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-10-27 00:42:37 UTC
Latest upstream release: 0.9.0
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 1 Upstream Release Monitoring 2021-10-27 01:58:05 UTC
Latest upstream release: 0.9.1
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 2 Upstream Release Monitoring 2021-10-29 20:10:26 UTC
Latest upstream release: 0.9.2
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 3 Maxwell G 2021-11-17 00:44:05 UTC
Is there something blocking this?

Thanks,
Maxwell

Comment 4 Fabio Valentini 2021-11-17 09:56:35 UTC
Turns out, multiple things are blocking this:

- console ^0.15 (git-delta is the only Fedora package that requires the new version already)
- ctrlc ^3.2.1 (blocked by nix ^0.23 update)
- git2 ^0.13.23 (blocked by missing libgit2 updates in Fedora, possibly for a while)
- pathdiff ^0.2.1 (git-delta is the only Fedora package that requires the new version already)
- smol_str ^0.1.18 (not packaged yet)

Comment 5 Upstream Release Monitoring 2021-11-24 22:44:54 UTC
Latest upstream release: 0.10.0
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 6 Upstream Release Monitoring 2021-11-25 18:36:57 UTC
Latest upstream release: 0.10.1
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 7 Upstream Release Monitoring 2021-11-27 13:54:59 UTC
Latest upstream release: 0.10.2
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 8 Upstream Release Monitoring 2021-12-03 23:53:47 UTC
Latest upstream release: 0.10.3
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 9 Upstream Release Monitoring 2021-12-06 01:48:52 UTC
Latest upstream release: 0.11.0
Current version/release in rawhide: 0.8.3-1.fc35
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 10 Upstream Release Monitoring 2021-12-06 19:00:10 UTC
Latest upstream release: 0.11.1
Current version/release in rawhide: 0.8.3-2.fc36
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 11 Upstream Release Monitoring 2021-12-08 04:42:47 UTC
Latest upstream release: 0.11.2
Current version/release in rawhide: 0.8.3-2.fc36
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/98343/

Comment 12 Upstream Release Monitoring 2021-12-16 01:21:59 UTC
Latest upstream release: 0.11.3
Current version/release in rawhide: 0.8.3-2.fc36
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/98343/

Comment 13 Upstream Release Monitoring 2022-02-14 20:07:02 UTC
Latest upstream release: 0.12.0
Current version/release in rawhide: 0.8.3-3.fc36
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/98343/

Comment 14 Upstream Release Monitoring 2022-03-06 16:13:38 UTC
Latest upstream release: 0.12.1
Current version/release in rawhide: 0.8.3-4.fc37
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/98343/

Comment 15 Mohamed Akram 2022-04-11 11:42:38 UTC
Any update on this? The current version is a bit outdated and has some bugs.

Comment 16 Ian McInerney 2022-05-11 17:15:40 UTC
@decathorpe looking at the package versions in F36, the 5 you listed in comment 4 appear to all be a new enough version now:

rust-console-0.15.0-2.fc36
rust-ctrlc-3.2.1-2.fc36
rust-git2-0.13.25-2.fc36
rust-pathdiff-0.2.1-2.fc36
rust-smol_str-0.1.21-1.fc36

Would it be possible to update git-delta in F36/37 to its newest version now? The version being shipped is now several versions behind upstream.

Comment 17 Fabio Valentini 2022-05-11 21:17:29 UTC
git-delta 0.12.1 is blocked by new missing updates:

- bat ^0.20
- sysinfo ^0.23

However, I also have little interest in investing more time here, as I am not one of the package's primary maintainers (those would be ignatenkobrain and appadeia), and have other priorities (finishing my university degree being the most important one right now).

So, no, I won't work on this in the near future. Sorry.

Comment 18 Upstream Release Monitoring 2022-05-13 16:58:53 UTC
Latest upstream release: 0.13.0
Current version/release in rawhide: 0.8.3-4.fc37
URL: https://crates.io/crates/git-delta

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/98343/

Comment 19 Fabio Valentini 2022-07-21 08:39:42 UTC
Added the remaining blocker bugs:

- bat ^0.21
- syntect ^5
- sysinfo ^0.23

Comment 20 Fedora Update System 2022-07-21 21:45:37 UTC
FEDORA-2022-a7ad4a64b5 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a7ad4a64b5

Comment 21 Fedora Update System 2022-07-23 20:30:39 UTC
FEDORA-2022-a7ad4a64b5 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.